<div class="ecl-u-pa-none">
  <main class="ecl-container">
    <h1 eclPageHeaderTitle class="ecl-u-ma-none ecl-u-type-heading-3">{{ 'Dashboard' | translate }}</h1>
    <div eclPageHeaderDescriptionContainer class="ecl-u-pv-none ecl-u-mt-xl">
      <p eclPageHeaderDescription class="header__description">
        {{
          'This dashboard is designed to provide you with a detailed overview of key data related to the member states. Here, you will find a wealth of information categorised into four main areas: procedures, requirements, evidences, and the authorities responsible for providing them.'
            | translate
        }}
      </p>
    </div>
    <div class="ecl-u-d-flex ecl-u-flex-row ecl-u-justify-content-between ee-mini-cards-container ecl-u-pb-2xl ecl-u-pt-xl">
      <ng-container *ngFor="let card of miniCardsData" class="ecl-u-ph-l">
        <app-mini-card [cardData]="card" />
      </ng-container>
    </div>

    <!--  Main diagram  -->
    <app-member-state-chart />

    <!--  Time diagrams  -->
    <div class="ecl-u-pb-l">
      <h2 class="ee-section-title">
        {{ 'Assets progression over time' | translate }}
      </h2>
      <p class="ee-section-description">
        {{
          'By default, the asset information for all Member States is displayed. You can select a specific Member State using the filter below.'
            | translate
        }}
      </p>
      <div class="ecl-u-d-flex ecl-u-flex-row ecl-u-justify-content-around">
        <app-time-progression-charts [color]="'4073AF'" [title]="'PROCEDURES'" />
        <app-time-progression-charts [color]="'80B7DA'" [title]="'PROCEDURAL REQUIREMENTS'" />
      </div>
      <div class="ecl-u-d-flex ecl-u-flex-row ecl-u-justify-content-around ecl-u-mt-l">
        <app-time-progression-charts [color]="'FBC11D'" [title]="'EVIDENCES'" />
        <app-time-progression-charts [color]="'DA8623'" [title]="'AUTHORITIES'" />
      </div>
    </div>
  </main>
  <app-country-selection />
</div>
